Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/external_study_level_view.pt
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/external_study_level_view.pt	(revision 1596)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/external_study_level_view.pt	(revision 1596)
@@ -0,0 +1,199 @@
+<metal:html>
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header" 
+                 tal:define="global info context/getStudyLevelInfo;
+                 global is_so context/isSectionOfficer;
+                 global is_ca info/is_ca;
+                 global show_check_boxes info/show_check_boxes;
+		             global is_student info/is_student;
+		             global status_info info/status_info;
+		             global review_state info/review_state;
+		             global view_only info/view_only">
+              <div style="text-align: right"
+             tal:condition="python:review_state == 'courses_validated'">
+        <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            Course Registration Slip
+        </a>
+        
+        </div>
+
+      <h3> 
+        <span tal:condition="python: is_so or is_ca">
+          <span tal:content="info/student/name" />:
+        </span>
+        Course Registration Form for <span tal:content="here/title_or_id" />
+      </h3>
+
+    </metal:block>
+    <metal:main fill-slot="main" tal:condition="python:1">
+      <form action="." method="post" class="group">
+        <span tal:condition="info/carry_overs" tal:omit-tag="">
+        <h4>Carryover Courses</h4>
+        <br />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+          <tr tal:repeat="row info/carry_overs"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;"
+                tal:condition="show_check_boxes">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/grade|string:"></td>
+          </tr>
+        </table>
+        </span> 
+        <br />
+        <h4>Session Courses</h4>
+        <br />
+      <div class="" tal:condition="not: info/normal">
+        Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!
+      </div>
+        <table class="contentListing" width="100%" id="folder_content"
+               tal:condition="info/normal">      
+          <tr tal:repeat="row info/normal"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;"
+	              tal:condition="show_check_boxes">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td width="78%" tal:content="row/title"></td>
+            <td align="center" width="10%" tal:content="row/code"></td>
+            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+            <td align="center" width="2%" tal:content="row/credits"></td>
+            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+          </tr>
+          <tr>
+            <td tal:condition="show_check_boxes" colspan="1"></td>
+            <td colspan="1"></td>
+            <th colspan="2">Total Credits:</th>
+            <td align="center" width="2%" tal:content="info/credits_total"></td>
+          </tr>
+        </table>
+
+        
+      
+        
+        <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input type="submit" name="delete_course_result:method" value="Delete selected"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       ('Do you really want to delete selected courses?', )" 
+                       />
+                <input type="submit" name="refresh_level:method"
+                       class="context" value="Update" 
+                       />
+                <br /><br />
+                <input tal:condition="info/normal" 
+                       type="submit" name="register_courses:method"
+                       class="context" value="Submit" />
+            </td>
+          </tr>
+        </table>
+        <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input type="button" value="Select all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="delete_course_result:method" value="Delete selected"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       ('Do you really want to delete the courses selected?', )" 
+                       />
+                <input 
+                       type="submit" name="refresh_level:method"
+                       class="context" value="Update" 
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                       class="context" value="Submit" />  
+                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                       class="context" value="Validate" />
+                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                       class="context" value="Reject" />
+
+            </td>
+          </tr>
+        </table>
+        <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="button" value="Select all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="submit" name="delete_course_result:method" value="Delete selected"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       ('Do you really want to delete the courses selected?', )" 
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'"
+                       type="submit" name="refresh_level:method"
+                       class="context" value="Update" 
+                       />
+                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                       class="context" value="Submit" />  
+                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                       class="context" value="Validate" />
+                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                       class="context" value="Reject" />
+
+                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                       tal:attributes="value string:external_study_level_view"/>                         
+                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                       tal:attributes="value string:external_contact_student_form"/>    
+                                           
+
+            </td>
+          </tr>
+        </table>
+
+      </form>
+      <br />
+        <form action="add_course_result" method="post" class="group"
+            tal:condition="show_check_boxes">
+        <table>
+          <tr>
+            <th>Course Id</th>
+            <td><input type="text" name="course_id" 
+                       tal:attributes="value request/course_id|nothing"/></td>
+            <td colspan="2">
+              <input type="submit" name="add"
+                     class="context" value="Add Course" 
+                     />
+            </td>                
+        </table>
+        </form>         
+    </metal:main>
+  </metal:body>
+</metal:html>
+  
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getAccommodationInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getAccommodationInfo.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Accommodation.Info')
+logger = logging.getLogger('Skins.getAccommodationInfo')
 import DateTime
 
@@ -29,5 +29,5 @@
     requested_id = context.getStudentId()
     if requested_id and not context.isStaff() and member_id != requested_id:
-        logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+        logger.info('%s tried to access %s' % (member_id,requested_id))
         return None
     elif context.isStaff():
@@ -37,5 +37,5 @@
 res = context.students_catalog(id=student_id)
 if len(res) != 1:
-    logger.info('"%s","not found in students_catalog"')
+    logger.info('%s not found in students_catalog' % student_id)
     return None
 
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getApplicationInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getApplicationInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getApplicationInfo.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Application.Info')
+logger = logging.getLogger('Skins.getApplicationInfo')
 
 request = context.REQUEST
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed application object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access application object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getClearanceInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getClearanceInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getClearanceInfo.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Clearance.Info')
+logger = logging.getLogger('Skins.getClearanceInfo')
 from DateTime import DateTime
 
@@ -30,5 +30,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getLogData.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getLogData.py	(revision 1596)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getLogData.py	(revision 1596)
@@ -0,0 +1,37 @@
+## Script (Python) "getLogData"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+"""
+return logfile entries
+"""
+
+wtool = context.waeup_tool
+
+# Default values...
+filename = "event.log"
+numlines = 30
+
+# Validate posted vars...
+request = container.REQUEST
+if 'filename' in request.keys():
+    if request['filename'] in ['event.log','Z2.log']:
+        filename = request['filename']
+
+if 'numlines' in request.keys():
+    try:
+        reqlines = int(request['numlines'])
+        if reqlines > 0 and reqlines < 1000:
+            numlines = reqlines
+    except:
+        pass
+
+return { 'filename' : filename,
+         'numlines' : numlines,
+         'lines' : wtool.getLogfileLines(filename, numlines)
+       }
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getMemberInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getMemberInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getMemberInfo.py	(revision 1596)
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed personal object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access personal object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getNewStudentStatistics.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getNewStudentStatistics.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getNewStudentStatistics.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Statistics')
+logger = logging.getLogger('Skins.getNewStudentStatistics')
 
 try:
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('"%s","invoked new statistics"' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -108,5 +108,5 @@
     if total:
         dep['cleared_and_validated_percent'] = "%.0f" % round(cav*100/total)
-        
+
     ora = len([s for s in fac_ids if s in or_ids])
     dep['objection_raised'] = ora
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getPersonalInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getPersonalInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getPersonalInfo.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Personal.Info')
+logger = logging.getLogger('Skins.getPersonalInfo')
 
 request = context.REQUEST
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed personal object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access personal object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRegStatistics.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRegStatistics.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRegStatistics.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Statistics')
+logger = logging.getLogger('Skins.getRegStatistics')
 
 try:
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('"%s","invoked reg statistics"' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -81,5 +81,5 @@
     if total:
         dep['courses_registered_percent'] = "%.0f" % round(creg*100/total)
-        
+
     cval = len([s for s in fac_ids if s in cval_ids])
     dep['courses_validated'] = cval
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRetStudentStatistics.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRetStudentStatistics.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getRetStudentStatistics.py	(revision 1596)
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('%s invoked returning statistics' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -59,5 +59,5 @@
     sum_ret += ret
     sum_sfp += sfp
-       
+
     l.append(dep)
 
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSchoolFeePrefix.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSchoolFeePrefix.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSchoolFeePrefix.py	(revision 1596)
@@ -1,3 +1,3 @@
-## Script (Python) "getMaintenancePrefix"
+## Script (Python) "getSchoolFeePrefix"
 ##bind container=container
 ##bind context=context
@@ -16,6 +16,6 @@
     return None
 
-import logging    
-logger = logging.getLogger('EPayment.getSchoolFeePrefix')    
+import logging
+logger = logging.getLogger('Skins.getSchoolFeePrefix')
 
 student_id = context.getStudentId()
@@ -24,5 +24,5 @@
                                      id = sbrain.course)
 if not res:
-    logger.info('"%s","certificate not found", "%s"' % (student_id,course))
+    logger.info('%s, certificate %s not found' % (student_id,course))
     prefix = "--"
 else:
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSessionResults.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSessionResults.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getSessionResults.py	(revision 1596)
@@ -27,6 +27,6 @@
 if requested_id and not context.isStaff() and member_id != requested_id:
     import logging
-    logger = logging.getLogger('Student.SessionResults.Info')
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger = logging.getLogger('Skins.getSessionResults')
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentBaseInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentBaseInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentBaseInfo.py	(revision 1596)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Base.Info')
+logger = logging.getLogger('Skins.getStudentBaseInfo')
 from DateTime import DateTime
 
@@ -29,5 +29,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentFolderInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentFolderInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentFolderInfo.py	(revision 1596)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getStudentFolderInfo"
 ##bind container=container
 ##bind context=context
@@ -21,5 +21,5 @@
 
 import logging
-logger = logging.getLogger('Student.Info')
+logger = logging.getLogger('Skins.getStudentFolderInfo')
 
 
@@ -38,5 +38,5 @@
         break
     if member_id != requested_id:
-        logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+        logger.info('%s tried to access %s' % (member_id,requested_id))
         student_id = member_id
         mtool.assertViewable(context)
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudentInfo.py	(revision 1596)
@@ -21,5 +21,5 @@
 
 import logging
-logger = logging.getLogger('Student.Info')
+logger = logging.getLogger('Skins.getStudentInfo')
 
 
@@ -42,5 +42,5 @@
             break
         if member_id != requested_id:
-            logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+            logger.info('%s tried to access %s' % (member_id,requested_id))
             student_id = member_id
             mtool.assertViewable(context)
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyCourseInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyCourseInfo.py	(revision 1596)
@@ -52,11 +52,11 @@
 levels = context.objectIds()
 review_state = wftool.getInfoFor(context,'review_state',None)
-if review_state != 'content_addable':
+student_review_state = context.getStudentReviewState()
+if review_state != 'content_addable' and student_review_state == 'school_fee_paid': #and context.isStudent():
     wftool.doActionFor(context,'close_for_edit')
-student_review_state = context.getStudentReviewState()
 may_register = (student_review_state in ('school_fee_paid',)) and\
                current_level not in levels and\
                (sbrain.verdict in ('A','B') or sbrain.jamb_reg_no.startswith('6'))
-               
+
 levels.sort()
 info['create_level'] = None
@@ -72,8 +72,8 @@
 info['items'] = items
 
-try: 
+try:
     info['verdict'] = context.portal_vocabularies.verdicts.get(info['doc'].current_verdict).upper()
 except:
-    info['verdict'] = course.current_verdict 
+    info['verdict'] = course.current_verdict
 
 return info
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyLevelInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getStudyLevelInfo.py	(revision 1596)
@@ -61,5 +61,5 @@
 info['review_state'] = review_state = context.getStudentReviewState()
 info['view_only'] =  review_state != "school_fee_paid"
-info['show_check_boxes'] =  (is_ca and review_state in ('courses_registered',)) or\
+info['show_check_boxes'] =  (is_ca and review_state in ('school_fee_paid',)) or\
                             (is_student and context.getStudentReviewState() == "school_fee_paid") or\
                             (is_so)
@@ -108,3 +108,9 @@
 normal.sort(cmp_semester)
 info['normal'] = normal
+
+students_object = context.portal_url.getPortalObject().campus.students
+student = getattr(students_object, student_id)
+info['app'] = student.application
+info['app_doc'] = student.application.getContent()
+
 return info
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getTransferInfo.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getTransferInfo.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/getTransferInfo.py	(revision 1596)
@@ -1,3 +1,3 @@
-## Script (Python) "getClearanceInfo"
+## Script (Python) "getTransferInfo"
 ##bind container=container
 ##bind context=context
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Transfer.Info')
+logger = logging.getLogger('Skins.getTransferInfo')
 from DateTime import DateTime
 
@@ -29,5 +29,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/layout_application_view_info.pt	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/layout_application_view_info.pt	(revision 1596)
@@ -5,5 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_reg_no','app_email','app_mobile')"
+              info context/getStudentBaseInfo;"
               >
   
@@ -20,5 +20,5 @@
           </td>
           <td> 
-            <span tal:content="python:context.getStudentBaseInfo()['student']['name']" />
+            <span tal:content="info/student/name" />
           </td>      
         </tr>
@@ -27,5 +27,5 @@
           </td>
           <td> 
-            <span tal:content="python:context.getStudentBaseInfo()['student']['sex']" />
+            <span tal:content="info/student/sex" />
           </td>      
         </tr>          
@@ -34,26 +34,42 @@
           </td>
           <td> 
-            <span tal:content="python:context.getStudentBaseInfo()['id']" />
+            <span tal:content="info/id" />
           </td>      
         </tr>
-
-        <tr tal:repeat="field fields">
-          <tal:block tal:define="cell python: widgets[field]">
-            <tal:block define="widget cell/widget">
-              <div tal:attributes="class cell/widget_css_class|string:label;
-              id python:widget.getHtmlWidgetId()+'_widget';"
-              >
-                <td >
-                  <span class="dlabel"
-                        tal:condition="widget/label"
-                        tal:content="widget/label">label</span>:
-                </td>
-                <td> 
-                  <span tal:replace="structure cell/widget_rendered" />
-                </td>
-              </div>
-            </tal:block>
-          </tal:block>
-        </tr>
+        <tr valign="top">
+          <td><span class="dlabel">Matriculation No</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/matric_no" />
+          </td>      
+        </tr>        
+        <tr valign="top">
+          <td><span class="dlabel">JAMB Registration No</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/jamb_reg_no" />
+          </td>      
+        </tr>   
+        <tr valign="top">
+          <td><span class="dlabel">Email</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/email" />
+          </td>      
+        </tr>         
+        <tr valign="top">
+          <td><span class="dlabel">Phone</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/phone" />
+          </td>      
+        </tr>         
+        <tr valign="top">
+          <td><span class="dlabel">Level</span>:
+          </td>
+          <td> 
+            <span tal:content="info/student/level" />
+          </td>      
+        </tr>           
       </table>
         
Index: /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/personal_edit.py
===================================================================
--- /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/personal_edit.py	(revision 1595)
+++ /WAeUP_SRP/branches/joachim-event-branch/skins/waeup_student/personal_edit.py	(revision 1596)
@@ -16,10 +16,10 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Personal.Edit')
+logger = logging.getLogger('Skins.personal_edit')
 
 info = context.getPersonalInfo()
 
 if info is None:
-    logger.info('"anonymous access","%s"' % REQUEST.get('URL0'))
+    logger.info('Anonymous user tried to access %s' % REQUEST.get('URL0'))
     return REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
@@ -53,5 +53,5 @@
                                               sex = ds.get('sex'),
                                              )
-        logger.info('"%s", "edited personal data"' % (info['id']))
+        logger.info('%s edited personal data' % (info['id']))
         #action = ""
         #base_url = student.absolute_url()
